package com.artfess.base.exception;

import com.artfess.base.enums.ResponseErrorEnums;

/**
 * 流程自定义异常
 *
 * @company 阿特菲斯信息技术有限公司
 * @author heyifan
 * @email heyf@jee-soft.cn
 * @date 2020年4月9日
 */
public class WorkFlowException extends BaseException {
	private static final long serialVersionUID = 1L;

	public WorkFlowException(){
		super(ResponseErrorEnums.WORKFLOW_ERROR);
	}
	
	public WorkFlowException(String message) {
		super(ResponseErrorEnums.WORKFLOW_ERROR, message);
	}
	
	public WorkFlowException(String message, Throwable throwable) {
		super(ResponseErrorEnums.WORKFLOW_ERROR, message, throwable);
	}
	
}
